Bug 433198 - rpmlint warning undefined-non-weak-symbol
Summary: rpmlint warning undefined-non-weak-symbol
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: openjpeg
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Callum Lerwick
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-17 14:16 UTC by Nicolas Chauvet (kwizart)
Modified: 2008-10-21 00:21 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-21 00:21:53 UTC


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2008-02-17 14:16:49 UTC
Description of problem: running rpmlint openjpeg-libs on installed package shows
warnings:

Version-Release number of selected component (if applicable): currents version
for F-8 (expected also for Rawhide and F-7)

Actual results:
[kwizart@kwizatz lib64]$ rpmlint openjpeg-libs
openjpeg-libs.x86_64: W: no-documentation (no_problem)
openjpeg-libs.x86_64: W: undefined-non-weak-symbol
/usr/lib64/libopenjpeg.so.2.1.3.0 floor
openjpeg-libs.x86_64: W: undefined-non-weak-symbol
/usr/lib64/libopenjpeg.so.2.1.3.0 ceilf
openjpeg-libs.x86_64: W: undefined-non-weak-symbol
/usr/lib64/libopenjpeg.so.2.1.3.0 floorf
openjpeg-libs.x86_64: W: undefined-non-weak-symbol
/usr/lib64/libopenjpeg.so.2.1.3.0 lrintf
openjpeg-libs.x86_64: W: undefined-non-weak-symbol
/usr/lib64/libopenjpeg.so.2.1.3.0 pow
[kwizart@kwizatz lib64]$ rpmlint openjpeg
openjpeg.x86_64: W: spurious-executable-perm /usr/share/doc/openjpeg-1.3/ChangeLog
openjpeg.x86_64: W: spurious-executable-perm /usr/share/doc/openjpeg-1.3/license.txt


Expected results:
* openjpeg have to be compiled with -lm, this will allow the linker to reduce
the time to resolve non-weak-symbols
* about doc, chmod 0644 and sed -i 's/\r//' license.txt 
you need to convert /usr/share/doc/openjpeg-1.3/ChangeLog to utf8.
Be careful to doing this will change timestramps and you can prevent this by
using touch -r from a reference file.

Additional info:
It would be nice to have pkg-config support so apps that links against openjpeg
can know the right OPENJPEG_LDFLAGS and OPENJPEG_CFLAGS (would be useful for
-I/usr/include/openjpeg ). 

The test case is gpac here.

Comment 1 Bug Zapper 2008-05-14 05:14:36 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Nicolas Chauvet (kwizart) 2008-10-21 00:21:53 UTC
This bug was probably fixed upstream.


Note You need to log in before you can comment on or make changes to this bug.